#
# spec file for package python3-mando03
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-mando03
Version:        0.3.3
Release:        1.11
License:        MIT
Summary:        Create Python CLI apps with little to no effort at all
Url:            https://mando.readthedocs.org/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/m/mando/mando-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Sphinx
Requires:       python3-Sphinx
Recommends:     python3-rst2ansi
Conflicts:      python3-mando
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Mando is a wrapper around `argparse`, and allows you to
write complete CLI applications in seconds while
maintaining all the flexibility.

This is version 0.3.x, kept for compatibility with some
packages that require an earlier version

%prep
%setup -q -n mando-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Tests don't work on python 3
# %check
# python3 setup.py test

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Fri Oct 14 2016 toddrme2178@gmail.com
- Initial version
